LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDispatchProviderInterceptor Interface Referencepublished

makes it possible to intercept request of XDispatch. More...

`import"XDispatchProviderInterceptor.idl";`

Inheritance diagram for XDispatchProviderInterceptor:

## Public Member Functions
XDispatchProvider | getSlaveDispatchProvider ()
| access to the slave XDispatchProvider of this interceptor More...
void | setSlaveDispatchProvider ([in] XDispatchProvider NewDispatchProvider)
| sets the slave XDispatchProvider to which calls to XDispatchProvider::queryDispatch() can be forwarded under control of this dispatch provider. More...
XDispatchProvider | getMasterDispatchProvider ()
| access to the master XDispatchProvider of this interceptor More...
void | setMasterDispatchProvider ([in] XDispatchProvider NewSupplier)
| sets the master XDispatchProvider, which may forward calls to its XDispatchProvider::queryDispatch() to this dispatch provider. More...
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame. More...
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to intercept request of XDispatch.

Can be registered as an interceptor by using interface XDispatchProviderInterception.

See also
  XDispatchProviderInterception

Developers Guide
  Office Development - Dispatch Interception
  Office Development - Using the Dispatch Framework

## Member Function Documentation

## ◆ getMasterDispatchProvider()

XDispatchProvider getMasterDispatchProvider | ( |  | ) |

access to the master XDispatchProvider of this interceptor

Returns
  the master of this interceptor

See also
  XDispatchProviderInterceptor::setMasterDispatchProvider()

## ◆ getSlaveDispatchProvider()

XDispatchProvider getSlaveDispatchProvider | ( |  | ) |

access to the slave XDispatchProvider of this interceptor

Returns
  the slave of this interceptor

See also
  XDispatchProviderInterceptor::setSlaveDispatchProvider()

## ◆ setMasterDispatchProvider()

void setMasterDispatchProvider | ( | [in] XDispatchProvider | NewSupplier | ) |

sets the master XDispatchProvider, which may forward calls to its XDispatchProvider::queryDispatch() to this dispatch provider.

Parameters

  NewSupplier | the master of this interceptor

See also
  XDispatchProviderInterceptor::getMasterDispatchProvider()

## ◆ setSlaveDispatchProvider()

void setSlaveDispatchProvider | ( | [in] XDispatchProvider | NewDispatchProvider | ) |

sets the slave XDispatchProvider to which calls to XDispatchProvider::queryDispatch() can be forwarded under control of this dispatch provider.

Parameters

  NewDispatchProvider | the new slave of this interceptor

See also
  XDispatchProviderInterceptor::getSlaveDispatchProvider()

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XDispatchProviderInterceptor.idl